#!/bin/bash

while [ -n "${1}" ]; do
    case "${1}" in
    -lsm)  ARGS="-lsm"
    break;;
    -s) ARGS="-s"
    break;;
    *) echo "$1 Некорректный параметр запуска. Единый Клиент JaCarta запускается с параметрами по умолчанию.";
    esac
    shift
done

SCRIPT_PATH=`readlink -e "$0"`
DIRECTORY=`dirname $SCRIPT_PATH`
export LD_LIBRARY_PATH=$DIRECTORY/../lib/:/usr/lib/:/usr/lib64/

if [ -n "${ARGS}" ]; then
    $DIRECTORY/JaCartaUC "${ARGS}"
else
    $DIRECTORY/JaCartaUC
fi

